New Latest VM - Please Test

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

New Latest VM - Please Test

tesonep@gmail.com
Hello,
      I have just uploaded a new version of the VM as the latest. This
version is the one to be intended for Pharo 8 release. Please feel
free to test it.

Changes:

- Fix in the GC corruption error

Thanks.

--
Pablo Tesone.
[hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: New Latest VM - Please Test

Pierce Ng-3
On Fri, Jan 17, 2020 at 10:48:02AM +0100, [hidden email] wrote:
>       I have just uploaded a new version of the VM as the latest. This
> version is the one to be intended for Pharo 8 release. Please feel
> free to test it.

Hi Pablo,

Is this VM built from https://github.com/pharo-project/opensmalltalk-vm.git
or upstream?

Pierce


Reply | Threaded
Open this post in threaded view
|

Re: New Latest VM - Please Test

tesonep@gmail.com
Hi Pierce,
   it has been built from the branch dev-7 of
https://github.com/pharo-project/opensmalltalk-vm.git
We have integrated the changes in the GC and some other bug fixing.
But we started from the latest stable Pharo 7 version, as we need to
keep compatibility with OSX pre-metal.

Cheers,
Pablo

On Fri, Jan 17, 2020 at 2:17 PM Pierce Ng <[hidden email]> wrote:

>
> On Fri, Jan 17, 2020 at 10:48:02AM +0100, [hidden email] wrote:
> >       I have just uploaded a new version of the VM as the latest. This
> > version is the one to be intended for Pharo 8 release. Please feel
> > free to test it.
>
> Hi Pablo,
>
> Is this VM built from https://github.com/pharo-project/opensmalltalk-vm.git
> or upstream?
>
> Pierce
>
>


--
Pablo Tesone.
[hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: New Latest VM - Please Test

NorbertHartl
In reply to this post by tesonep@gmail.com
Just a short remark. If you announce something it is good to say how to get it. What seems obvious to you is not necessarily obvious for others.

Norbert

> Am 17.01.2020 um 10:49 schrieb "[hidden email]" <[hidden email]>:
>
> Hello,
>      I have just uploaded a new version of the VM as the latest. This
> version is the one to be intended for Pharo 8 release. Please feel
> free to test it.
>
> Changes:
>
> - Fix in the GC corruption error
>
> Thanks.
>
> --
> Pablo Tesone.
> [hidden email]
>


Reply | Threaded
Open this post in threaded view
|

Re: New Latest VM - Please Test

tesonep@gmail.com
You are right Norbert, sorry I miss the data.
This is available through zeroConf.
Doing for example:

wget -O - get.pharo.org/64/70+vmLatest | bash
wget -O - get.pharo.org/64/80+vmLatest | bash

Cheers,
Pablo

On Sat, Jan 18, 2020 at 7:53 AM Norbert Hartl <[hidden email]> wrote:

>
> Just a short remark. If you announce something it is good to say how to get it. What seems obvious to you is not necessarily obvious for others.
>
> Norbert
>
> > Am 17.01.2020 um 10:49 schrieb "[hidden email]" <[hidden email]>:
> >
> > Hello,
> >      I have just uploaded a new version of the VM as the latest. This
> > version is the one to be intended for Pharo 8 release. Please feel
> > free to test it.
> >
> > Changes:
> >
> > - Fix in the GC corruption error
> >
> > Thanks.
> >
> > --
> > Pablo Tesone.
> > [hidden email]
> >
>
>


--
Pablo Tesone.
[hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: New Latest VM - Please Test

NorbertHartl
thanks

> Am 19.01.2020 um 19:10 schrieb [hidden email]:
>
> You are right Norbert, sorry I miss the data.
> This is available through zeroConf.
> Doing for example:
>
> wget -O - get.pharo.org/64/70+vmLatest | bash
> wget -O - get.pharo.org/64/80+vmLatest | bash
>
> Cheers,
> Pablo
>
> On Sat, Jan 18, 2020 at 7:53 AM Norbert Hartl <[hidden email]> wrote:
>>
>> Just a short remark. If you announce something it is good to say how to get it. What seems obvious to you is not necessarily obvious for others.
>>
>> Norbert
>>
>>> Am 17.01.2020 um 10:49 schrieb "[hidden email]" <[hidden email]>:
>>>
>>> Hello,
>>>     I have just uploaded a new version of the VM as the latest. This
>>> version is the one to be intended for Pharo 8 release. Please feel
>>> free to test it.
>>>
>>> Changes:
>>>
>>> - Fix in the GC corruption error
>>>
>>> Thanks.
>>>
>>> --
>>> Pablo Tesone.
>>> [hidden email]
>>>
>>
>>
>
>
> --
> Pablo Tesone.
> [hidden email]
>


Reply | Threaded
Open this post in threaded view
|

Re: New Latest VM - Please Test

Alistair Grant
Hi Pablo,

This VM looks like it will only run with Ubuntu 19.04 or later:

$ ./pharo --version
/dev/shm/p8/pharo-vm/lib/pharo/5.0-/pharo:
/lib/x86_64-linux-gnu/libm.so.6: version `GLIBC_2.29' not found
(required by /dev/shm/p8/pharo-vm/lib/pharo/5.0-/pharo)

GLIBC 2.29 is delivered with Ubuntu 19.04.

Ubuntu 18.04 is the current LTS (GLIBC 2.27), and Ubuntu 16.04 is
still supported (GLIBC 2.23), so I'd expect that the VM is linked
against 2.23, or at least 2.27.

Cheers,
Alistair


> > Am 19.01.2020 um 19:10 schrieb [hidden email]:
> >
> > You are right Norbert, sorry I miss the data.
> > This is available through zeroConf.
> > Doing for example:
> >
> > wget -O - get.pharo.org/64/70+vmLatest | bash
> > wget -O - get.pharo.org/64/80+vmLatest | bash
> >
> > Cheers,
> > Pablo

Reply | Threaded
Open this post in threaded view
|

Re: New Latest VM - Please Test

tesonep@gmail.com
Hi Alistair,
    thank you for testing it, I will try to generate a version for
older glibc as soon it does not produce a problem with newer versions.

This is an interesting subject to discuss and see what is better for
our community.
Nowadays, we are centering in producing executable versions for Debian
based distributions (especially Ubuntu).
We have to decide which are the platforms we are going to support
directly generating binaries distributions and what only through
support in source code.

Having more and more versions and different building environments
requires also to have matching testing scenarios and the effort to
maintain them.

As usual, we have limited resources and we have to decide where to put
the efforts. If there are special interests in a given platform it
will be nice to know that (and also if you use it and can, please
think about how to collaborate with the efforts done by the
consortium).

Also, I will like to discuss this subject as choosing Debian / Ubuntu
is just a casualty and we need to have a thought decision.

Cheers

On Sat, Feb 1, 2020 at 8:33 AM Alistair Grant <[hidden email]> wrote:

>
> Hi Pablo,
>
> This VM looks like it will only run with Ubuntu 19.04 or later:
>
> $ ./pharo --version
> /dev/shm/p8/pharo-vm/lib/pharo/5.0-/pharo:
> /lib/x86_64-linux-gnu/libm.so.6: version `GLIBC_2.29' not found
> (required by /dev/shm/p8/pharo-vm/lib/pharo/5.0-/pharo)
>
> GLIBC 2.29 is delivered with Ubuntu 19.04.
>
> Ubuntu 18.04 is the current LTS (GLIBC 2.27), and Ubuntu 16.04 is
> still supported (GLIBC 2.23), so I'd expect that the VM is linked
> against 2.23, or at least 2.27.
>
> Cheers,
> Alistair
>
>
> > > Am 19.01.2020 um 19:10 schrieb [hidden email]:
> > >
> > > You are right Norbert, sorry I miss the data.
> > > This is available through zeroConf.
> > > Doing for example:
> > >
> > > wget -O - get.pharo.org/64/70+vmLatest | bash
> > > wget -O - get.pharo.org/64/80+vmLatest | bash
> > >
> > > Cheers,
> > > Pablo
>


--
Pablo Tesone.
[hidden email]